Subject: Re: bug#21099: 24.3; bibtex-clean-entry and date fields in biblatex

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Aug 2019 20:10:20 +0200

Gustavo Barros <[email-masked]> writes:

> So, with defaults, from an original entry like:
>
>    @Article{Author2019c,
>      author       = {Author},
>      title        = {Title},
>      journaltitle = {Journal title},
>      date         = {2019},
>    }
>
> the result of `bibtex-clean-entry` is:
>
>    @Article{Author2019c,
>      author       = {Author},
>      title        = {Title},
>      journaltitle = {Journal title},
>      date         = 2019,
>    }

Right; this is what the bug report claims makes latexmk and biber stop
working, but you say later that this isn't the case?  Could there be
versions of these programs that choke on brace-less entries?

(If it sounds like it's been a long time since I've used bibtex and has
forgotten most everything about it, that's correct. :-) I've now Cc'd
the bibtex maintainer.)

> If we customize `bibtex-entry-format` by just removing
> `numerical-fields` from it with:
>
>    (setq bibtex-entry-format
> 	  '(opts-or-alts required-fields))
>
> We then get from `bibtex-clean-entry`:
>
>    @Article{Author2019c,
>      author       = {Author},
>      title        = {Title},
>      journaltitle = {Journal title},
>      date         = {2019},
>    }
>
> Besides, to the best of my knowledge, the default of striping braces
> of numerical fields is also not problematic for biblatex or biber.
> And I see no reason why latexmk would have any special implications on
> the case.

> I expressed myself poorly here.  Of course the docstring is built-in
> documentation.  What I meant to say is that there appears to be no
> info document for bibtex-mode.

Yes, the manual just refers to the doc string:

---
Bib@TeX{} mode is a major mode for Bib@TeX{} files, which are commonly
used for keeping bibliographic references for @LaTeX{} documents.  For
more information, see the documentation string for the command
@code{bibtex-mode}.
---

> But I might well be drifting from the OP here.  From a strict
> perspective, the message is: I cannot (currently) reproduce the
> problem, it is likely just a customization issue, and even the default
> behavior of bibtex-mode should not make biblatex/biber choke.

Right.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no